<?php
#########################################################
# @Software     HomeLibrary                             #
# @Created by   Nick Bakkegaard (homelibrary.dk)        #
# @License		GNU/AGPL (see LICENSE.php)              #
#########################################################

//No direct access to file
defined( '_FILE_ACCESS' ) or die( 'Restricted access' );

include_once("class/class.session.php"); //including login script
include_once("class/class.user.php");
include_once("class/class.config.php");
include_once("class/class.take.time.php");

$time = new Time;
$time->start();

$site = new Config;

$site->fetch_database();

if($site->get_site_online()=="false") {
include("include/page.offline.php");
exit();
}

#login script
#############
$user = new Session; //make object
if(isset($_GET['logout'])) $user->logout(); //if logout set run the logout() function
else if(isset($_POST['loginpassword'])) $user->login($_POST['user'],$_POST['loginpassword']); //if $_POST['loginpassword'] set, run login() function
else $user->check(); //else just check if they are already logged in

#Language select
############

$user_temp = new User;

if($user->get_admin()) {

$user_temp->set_id($user->get_user_id());

$user_temp->database();

if (file_exists('language/'.$user_temp->get_language().'.php')) include_once('language/'.$user_temp->get_language().'.php');
else include("language/english.php");
}
else include("language/english.php");


if(isset($_POST['page'])) {

	if($_POST['page']=="create_movie") {

		include_once("class/class.movie.php");
		
		$movie = new Movie;
		
		$movie->set_title($_POST['title']); 
		$movie->set_alternative_title($_POST['alternative_title']); 
		$movie->set_year($_POST['year']); 
		$movie->set_playtime($_POST['playtime']); 
		$movie->set_imdb($_POST['imdb']); 
		$movie->set_language($_POST['language']); 
		$movie->set_type($_POST['type']); 
		$movie->set_note($_POST['note']); 
		
		$movie->create($user->get_user_id());
	}
	
	else if($_POST['page']=="create_book") {
	
		include_once("class/class.book.php");
		
		$book = new Book;
		
		$book->set_title($_POST['title']);	
		$book->set_alternative_title($_POST['alternative_title']);	
		$book->set_year($_POST['year']);	
		$book->set_number_of_pages($_POST['number_of_pages']);	
		$book->set_author_first($_POST['author_first']);	
		$book->set_author_last($_POST['author_last']);	
		$book->set_publisher($_POST['publisher']);	
		$book->set_language($_POST['language']);	
		$book->set_orginal_language($_POST['orginal_language']);	
		$book->set_note($_POST['note']);
		
		$book->create($user->get_user_id());
	
	}
	
	else if($_POST['page']=="create_cd") {
	
		include_once("class/class.cd.php");
		
		$cd = new Cd;
		
		$cd->set_title($_POST['title']);
		$cd->set_year($_POST['year']);
		$cd->set_length($_POST['length']);
		$cd->set_artist($_POST['artist']);
		$cd->set_record_label($_POST['record_label']);
		$cd->set_note($_POST['note']);
		
		$cd->create($user->get_user_id());
	
	}
	
	else if($_POST['page']=="change_movie") {
	
		include_once("class/class.movie.php");
		
		$movie = new Movie;
		
		$movie->get_database($_POST['id'],$user->get_user_id());
		
		$movie->set_title($_POST['title']); 
		$movie->set_alternative_title($_POST['alternative_title']); 
		$movie->set_year($_POST['year']); 
		$movie->set_playtime($_POST['playtime']); 
		$movie->set_imdb($_POST['imdb']); 
		$movie->set_language($_POST['language']); 
		$movie->set_type($_POST['type']); 
		$movie->set_note($_POST['note']);
		
		$movie->update_database($_POST['id'],$user->get_user_id());
	}
	
	else if($_POST['page']=="change_book") {
	
		include_once("class/class.book.php");
		
		$book = new Book;
		
		$book->get_database($_POST['id'],$user->get_user_id());
		
		$book->set_title($_POST['title']);	
		$book->set_alternative_title($_POST['alternative_title']);	
		$book->set_year($_POST['year']);	
		$book->set_number_of_pages($_POST['number_of_pages']);	
		$book->set_author_first($_POST['author_first']);	
		$book->set_author_last($_POST['author_last']);	
		$book->set_publisher($_POST['publisher']);	
		$book->set_language($_POST['language']);	
		$book->set_orginal_language($_POST['orginal_language']);	
		$book->set_note($_POST['note']);
		
		$book->update_database($_POST['id'],$user->get_user_id());
		
		}
		
	else if ($_POST['page']=="change_language")
		{
			$user_temp = new User;
			
			$user_temp->set_language($_POST['language'],$user->get_user_id());
		}		


}
?>