-- HomeLibrary MySQL
-- Version 0.1Alpha
-- -------------------------------------------------------- 


--
-- Table structure for: artist
--

CREATE TABLE `artist` (
  `id` int(11)  NOT NULL AUTO_INCREMENT,
  `owner_id` int(11),
  `name` varchar(255),
  `info` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- -------------------------------------------------------- 


--
-- Table structure for: author
--

CREATE TABLE `author` (
  `id` int(11)  NOT NULL AUTO_INCREMENT,
  `owner_id` int(11),
  `first_name` varchar(255),
  `last_name` varchar(255),
  `info` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- -------------------------------------------------------- 


--
-- Table structure for: book
--

CREATE TABLE `book` (
  `id` int(11)  NOT NULL AUTO_INCREMENT,
  `owner_id` int(11),
  `title` varchar(255),
  `alternative_title` varchar(255),
  `author` int(11) ,
  `publisher` int(11) ,
  `number_of_pages` int(11) ,
  `language` int(11) ,
  `note` varchar(255) ,
  `year` int(11) ,
  `created_date` int(11),
  `modified_date` int(11),
  `lent` tinyint(4) ,
  `orginal_language` int(11),
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- -------------------------------------------------------- 


--
-- Table structure for: cd
--

CREATE TABLE `cd` (
  `id` int(11)  NOT NULL AUTO_INCREMENT,
  `owner_id` int(11) ,
  `title` varchar(255) ,
  `year` int(11) ,
  `artist` int(11) ,
  `length` int(11) ,
  `record_label` int(11) ,
  `note` varchar(255) ,
  `created_date` int(11),
  `modified_date` int(11),
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- -------------------------------------------------------- 


--
-- Table structure for: config
--

CREATE TABLE `config` (
  `name` varchar(255),
  `value` varchar(255),
  PRIMARY KEY (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- -------------------------------------------------------- 


--
-- Table structure for: language
--

CREATE TABLE `language` (
  `id` int(11)  NOT NULL AUTO_INCREMENT,
  `owner_id` int(11) ,
  `name` varchar(255),
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- -------------------------------------------------------- 


--
-- Table structure for: lent
--

CREATE TABLE `lent` (
  `id` int(11)  NOT NULL AUTO_INCREMENT,
  `owner_id` int(11) ,
  `type` int(11) ,
  `itemid` int(11) ,
  `lent_date` date ,
  `deliver_date` date ,
  `person` varchar(255),
  `note` varchar(255),
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


-- -------------------------------------------------------- 


--
-- Table structure for: movie
--

CREATE TABLE `movie` (
  `id` int(11)  NOT NULL AUTO_INCREMENT,
  `owner_id` int(11) ,
  `title` varchar(255) ,
  `alternative_title` varchar(255),
  `language` int(11) ,
  `year` int(11) ,
  `playtime` int(11) ,
  `imdb` varchar(255),
  `imdb_rate` tinyint(4) ,
  `imdb_250` tinyint(4) ,
  `type` tinyint(4) ,
  `note` varchar(255),
  `motified_date` int(11) ,
  `created_date` int(11) ,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- -------------------------------------------------------- 


--
-- Table structure for: publisher
--

CREATE TABLE `publisher` (
  `id` int(11)  NOT NULL AUTO_INCREMENT,
  `owner_id` int(11) ,
  `name` varchar(255) ,
  `info` text ,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- -------------------------------------------------------- 


--
-- Table structure for: record_label
--

CREATE TABLE `record_label` (
  `id` int(11)  NOT NULL AUTO_INCREMENT,
  `owner_id` int(11) ,
  `name` varchar(255) ,
  `info` text ,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- -------------------------------------------------------- 


--
-- Table structure for: sessions
--

CREATE TABLE `sessions` (
  `id` varchar(255) ,
  `ip` varchar(255) ,
  `user_id` int(11) ,
  `started` int(11) ,
  `ended` int(11) ,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- -------------------------------------------------------- 


--
-- Table structure for: tags
--

CREATE TABLE `tags` (
  `ID` int(11)  NOT NULL AUTO_INCREMENT,
  `owner_id` int(11) ,
  `tag` varchar(255) ,
  `info` text ,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


-- -------------------------------------------------------- 


--
-- Table structure for: tag_relation
--

CREATE TABLE `tag_relation` (
  `tagid` int(11) ,
  `owner_id` int(11) ,
  `type` tinyint(4) ,
  `itemid` int(11) 
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- -------------------------------------------------------- 


--
-- Table structure for: user
--

CREATE TABLE `user` (
  `id` int(11)  NOT NULL AUTO_INCREMENT,
  `username` varchar(20),
  `rights` tinyint(4) ,
  `private_password` varchar(32) ,
  `public_password` varchar(32) ,
  `language` varchar(32) ,
  `email` varchar(255) ,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;